Bug 1124341 - (CVE-2019-1000019) VUL-1: CVE-2019-1000019: libarchive: Out-of-bounds Read vulnerability in 7zip decompression
(CVE-2019-1000019)
VUL-1: CVE-2019-1000019: libarchive: Out-of-bounds Read vulnerability in 7zip...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Adrian Schröter
Security Team bot
https://smash.suse.de/issue/224193/
CVSSv3:SUSE:CVE-2019-1000019:3.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-05 14:56 UTC by Robert Frohl
Modified: 2020-07-13 09:45 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-02-05 14:56:20 UTC
CVE-2019-1000019

libarchive version commit bf9aec176c6748f0ee7a678c5f9f9555b9a757c1 onwards
(release v3.0.2 onwards) contains a CWE-125: Out-of-bounds Read vulnerability in
7zip decompression, archive_read_support_format_7zip.c, header_bytes() that can
result in a crash (denial of service). This attack appears to be exploitable via
the victim opening a specially crafted 7zip file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-1000019
https://github.com/libarchive/libarchive/pull/1120/commits/65a23f5dbee4497064e9bb467f81138a62b0dae1
https://github.com/libarchive/libarchive/pull/1120
Comment 1 Robert Frohl 2019-02-05 14:59:51 UTC
both SLE12 and SLE15 seem to be affected
Comment 2 Swamp Workflow Management 2019-02-05 15:50:07 UTC
This is an autogenerated message for OBS integration:
This bug (1124341) was mentioned in
https://build.opensuse.org/request/show/671920 Factory / libarchive
Comment 4 Swamp Workflow Management 2019-04-01 16:11:59 UTC
SUSE-SU-2019:0831-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1120656,1120659,1124341,1124342
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2018-1000879,CVE-2018-1000880,CVE-2019-1000019,CVE-2019-1000020
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    libarchive-3.3.2-3.8.4
SUSE Linux Enterprise Module for Basesystem 15 (src):    libarchive-3.3.2-3.8.4

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-28 20:15:01 UTC
SUSE-SU-2019:3093-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    libarchive-3.3.2-3.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-11-28 20:21:44 UTC
SUSE-SU-2019:3092-1: An update that fixes 10 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1032089,1037008,1037009,1059134,1059139,1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2016-10209,CVE-2016-10349,CVE-2016-10350,CVE-2017-14501,CVE-2017-14502,CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Server 12-SP5 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Server 12-SP4 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libarchive-3.1.2-26.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-12-03 20:12:27 UTC
openSUSE-SU-2019:2615-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
openSUSE Leap 15.0 (src):    libarchive-3.3.2-lp150.10.1
Comment 9 Swamp Workflow Management 2019-12-03 23:14:28 UTC
openSUSE-SU-2019:2632-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
openSUSE Leap 15.1 (src):    libarchive-3.3.2-lp151.5.3.1
Comment 10 Adrian Schröter 2020-07-13 09:45:34 UTC
fixed